<?php

function updateWebStatus($numeroPedido, $estado) {
    $url = 'https://www.bocatti.uy/APIREST/ESTADOTRACKING/';
    $usuario = 'bocatti2023';
    $password = 'kits37!Vug6tHFqT';

    // Crear un arreglo con los parámetros
    $data = array(
        'Usuario' => $usuario,
        'Pass' => $password,
        'Pedido' => $numeroPedido,
        'Estado' => $estado
    );

    // Convertir el arreglo a JSON
    $json_data = json_encode($data);

    // Configurar la solicitud cURL
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json_data);
    // Desactivar la verificación SSL (Opción -k)
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

    // Realizar la solicitud cURL
    $response = curl_exec($ch);

    // Comprobar si hubo errores
    if ($response === false) {
        echo "Error al realizar la solicitud cURL: " . curl_error($ch);
    } else {
        // Procesar la respuesta
        $responseData = json_decode($response, true);
        if ($responseData) {
            // Aquí puedes manejar la respuesta JSON como desees
            print_r($responseData);
        } else {
            echo "Error al decodificar la respuesta JSON.";
        }
    }

    // Cerrar la sesión cURL
    curl_close($ch);
}

// Llamada a la función con los valores deseados
updateWebStatus('123456', 'ENT'); // Reemplaza con los valores correctos


